(* moodul SygavutiEes teostab sammsammulist graafi sgavuti eesjrjestuses lbimist *) 

open Struktuurid;;
open Laiuti;;
open AlgoBaas;;

(* algoritmi algus *)
let algus() =
	tekst := "Sgavuti eesjrjestuses lbimise algoritm alustab valitud algtipust.";
	i := EsimeneTipp;;

(* algoritmi lpp *)
let lopp() =
	tekst := "Magasin on thi. Sgavuti eesjrjestuses lbimise algoritm lpetab, olles leidnud sgavuti eesjrjestuses lbimise puu";
	nk1 := string_of_toodeldudTipud(!toodeldudTipud);
	(*nk2 := string_of_j2rgmisedTipud(!j2rgmisedServad);*)
	nk2 := string_of_j2rgmisedServad(!j2rgmisedServad);
	AlgoBaas.lopp();;

(* algoritmi samm *)
let samm(algtipp, tipud, servad) = 
	match !i with
		| Algus -> algus();
		| EsimeneTipp -> Laiuti.esimeneTipp(algtipp, servad);
		| ServaValik -> Laiuti.servaValik(servad);
		| SobimatuServ -> Laiuti.sobimatuServ(servad);
		| ServaLisamine -> Laiuti.servaLisamine(tipud, servad);
		| Lopp -> lopp();
		| _ -> ();;